Distribution:	CCux Linux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	HDR image creation/manipulation tool
Name:		qtpfsgui
Version:	1.9.3
Release:	1
License:	GNU/GPL
URL:		http://qtpfsgui.sourceforge.net/
Group:		Multimedia/Graphics
Source0:	%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXcursor-devel
BuildRequires:  libXext-devel
BuildRequires:  libXfixes-devel
BuildRequires:  libXi-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  glib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel


#Automatically resolved build dependencies
BuildRequires: exiv2-devel >= 0.18
BuildRequires: fftw-devel
BuildRequires: glibc-devel
BuildRequires: ilmbase-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: OpenEXR-devel
BuildRequires: qt4-devel

%description
Qtpfsgui is an open source graphical user interface application that aims to provide a workflow for HDR imaging.

Supported HDR formats:
OpenEXR (extension: exr)
Radiance RGBE (extension: hdr)
Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff)
Raw image formats (extension: various)
PFS native format (extension: pfs)
Supported LDR formats: 
JPEG, PNG, PPM, PBM, TIFF(8 bit)

Supported features: 
Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and 16bit, RAW) of the same scene taken at different exposure setting.
Save and load HDR images.
Rotate and resize HDR images.
Tonemap HDR images.
Copy exif data between sets of images.
Supports internationalization.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
export PATH="/usr/lib/qt4/bin:$PATH"
qmake PREFIX=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/qtpfsgui
%_datadir/qtpfsgui
%_datadir/applications/qtpfsgui.desktop
%_datadir/icons/hicolor/32x32/apps/qtpfsgui.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 13 2010  Karsten Brockmann <arcam@ccux-linux.de> 1.9.3-1
- version update
- built against exiv2 0.19
* Mon Feb 09 2009 Christian Metzen <metzench@ccux-linux.de> 1.9.2-2
- rebuild against exiv2 0.18-1
* Sun Nov 02 2008 Christian Wasem <wasem@ccux-linux.de> 1.9.2-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0-2
- rebuilt against exiv2 0.16
* Sat Jan 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.9.0-1
- Version update
* Wed Dec 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.12-2
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Wed Dec 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.12-1
- Initial Release
- beta 4
